oracle.adf.view.rich.component.rich.input

## Class RichInputSearch

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXValue
        - - org.apache.myfaces.trinidad.component.UIXEditableValue
          - - org.apache.myfaces.trinidad.component.UIXInput
            - - oracle.adf.view.rich.component.rich.input.PartialRichInputSearch
              - - oracle.adf.view.rich.component.rich.input.RichInputSearch

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class RichInputSearch
      extends PartialRichInputSearch

  The base InputSearch component to provide any additional component APIs and to override base class methods to support multi-selection

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RichInputSearch.ContentMode` Enumeration for contentMode property
    `static class` | `RichInputSearch.Criteria` Enumeration for criteria property
    `static class` | `RichInputSearch.SelectionMode` Enumeration for SelectionMode property

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `org.apache.myfaces.trinidad.component.UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    - ### Fields inherited from class oracle.adf.view.rich.component.rich.input.PartialRichInputSearch

      `ACCESS_KEY_KEY, AUTO_SUBMIT_KEY, CHANGED_DESC_KEY, CHANGED_KEY, CLIENT_ATTRIBUTES_KEY, CLIENT_COMPONENT_KEY, CLIENT_LISTENERS_KEY, COLUMNS_KEY, COMPONENT_FAMILY, COMPONENT_TYPE, CONTENT_HEADER_FACET, CONTENT_MODE_KEY, CONTENT_STAMP_FACET, CONTENT_STYLE_KEY, CONTEXT_FACET, CRITERIA_KEY, CUSTOMIZATION_ID_KEY, DISABLED_KEY, DISPLAY_ATTRIBUTES_KEY, EDITABLE_ALWAYS, EDITABLE_INHERIT, EDITABLE_KEY, EDITABLE_ON_ACCESS, FILTER_ATTRIBUTES_KEY, FILTER_KEY, HELP_TOPIC_ID_KEY, INLINE_STYLE_KEY, LABEL_KEY, LABEL_STYLE_KEY, PARTIAL_TRIGGERS_KEY, PLACEHOLDER_KEY, READ_ONLY_KEY, ROW_COUNT_KEY, SELECTION_CONVERTER_KEY, SELECTION_MODE_KEY, SHORT_DESC_KEY, SHOW_REQUIRED_KEY, SIMPLE_KEY, STYLE_CLASS_KEY, TOOLBAR_FACET, TYPE, UNSECURE_KEY, USAGE_AUTO, USAGE_KEY, USAGE_SEARCH, USAGE_TEXT, VALUE_ATTRIBUTE_KEY, VISIBLE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `CONVERSION_MESSAGE_ID, IMMEDIATE_KEY, LOCAL_VALUE_SET_KEY, PROTECTION_KEY_KEY, REQUIRED_KEY, REQUIRED_MESSAGE_DETAIL_KEY, REQUIRED_MESSAGE_ID, SUBMITTED_VALUE_KEY, TOKENIZE_MAP_KEY, TRINIDAD_BEAN_VALIDATION_AVAILABLE, TRINIDAD_EMPTY_VALUES_AS_NULL_PARAM_NAME, VALID_KEY, VALIDATE_EMPTY_FIELDS_PARAM_NAME, VALIDATOR_KEY, VALIDATORS_KEY, VALUE_CHANGE_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `CONVERTER_KEY, VALUE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RichInputSearch()`
    `protected` | `RichInputSearch(String rendererType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `compareValues(Object previous, Object current)`
    `<T> Map<T,Map<String,Object>>` | `getSelection()` Returns a map with the component's value as keys and suggestion objects as value.
    `protected boolean` | `isEmpty(Object value)`

    - ### Methods inherited from class oracle.adf.view.rich.component.rich.input.PartialRichInputSearch

      `addClientBehavior, getAccessKey, getBeanType, getChangedDesc, getClientAttributes, getClientBehaviors, getClientListeners, getColumns, getContentHeader, getContentMode, getContentStamp, getContentStyle, getContext, getCriteria, getCustomizationId, getDefaultEventName, getDisplayAttributes, getEditable, getEventNames, getFamily, getFilter, getFilterAttributes, getHelpTopicId, getInlineStyle, getLabel, getLabelStyle, getPartialTriggers, getPlaceholder, getRowCount, getSelectionConverter, getSelectionMode, getShortDesc, getStyleClass, getToolbar, getUnsecure, getUsage, getValueAttribute, isAutoSubmit, isChanged, isClientComponent, isDisabled, isReadOnly, isShowRequired, isSimple, isVisible, setAccessKey, setAutoSubmit, setChanged, setChangedDesc, setClientAttributes, setClientComponent, setClientListeners, setColumns, setContentHeader, setContentMode, setContentStamp, setContentStyle, setContext, setCriteria, setCustomizationId, setDisabled, setDisplayAttributes, setEditable, setFilter, setFilterAttributes, setHelpTopicId, setInlineStyle, setLabel, setLabelStyle, setPartialTriggers, setPlaceholder, setReadOnly, setRowCount, setSelectionConverter, setSelectionMode, setShortDesc, setShowRequired, setSimple, setStyleClass, setToolbar, setUnsecure, setUsage, setValueAttribute, setVisible`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `addValidator, addValueChangeListener, addValueUpdatedListener, broadcast, getConvertedValue, getProtectionKey, getRequiredMessageDetail, getRequiredMessageKey, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, removeValueUpdatedListener, resetValue, setImmediate, setLocalValueSet, setProtectionKey, setRequired, setRequiredMessageDetail, setSubmittedValue, setValid, setValidator, setValueChangeListener, shouldInterpretEmptyStringSubmittedValuesAsNull, shouldValidateEmptyFields, updateModel, validate, validateValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `getConverter, getLocalValue, getValue, setConverter, setValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter, setValue`

- - ### Constructor Detail

    - #### RichInputSearch

          public RichInputSearch()

    - #### RichInputSearch

          protected RichInputSearch(String rendererType)

  - ### Method Detail

    - #### getSelection

          public <T> Map<T,Map<String,Object>> getSelection()

      Returns a map with the component's value as keys and suggestion objects as value. The suggestion object is also a map with following keys data: The raw row data index: The index for the row key: The key value for the row
      Type Parameters:
        `T` - see above
      Returns:
        a map with the component's value as keys and suggestion objects as value

    - #### compareValues

          protected boolean compareValues(Object previous,
                                          Object current)

      Overrides:
        `compareValues` in class `org.apache.myfaces.trinidad.component.UIXEditableValue`
      Returns:
        true if the values are different

    - #### isEmpty

          protected boolean isEmpty(Object value)

      Overrides:
        `isEmpty` in class `org.apache.myfaces.trinidad.component.UIXEditableValue`

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.